Skip to main content
GET
/
sources
/
{id}
/
metrics
Get lead creation metrics for a business lead intake source
curl --request GET \
  --url https://api.leadping.ai/sources/{id}/metrics
{
  "range": {
    "startAt": "2023-11-07T05:31:56Z",
    "endAt": "2023-11-07T05:31:56Z"
  },
  "totalLeads": "<string>",
  "points": [
    {
      "startAt": "2023-11-07T05:31:56Z",
      "endAt": "2023-11-07T05:31:56Z",
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "generatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The ID of the source to retrieve metrics for.

Query Parameters

startAt
string<date-time>

Optional start date/time for the metric range.

endAt
string<date-time>

Optional end date/time for the metric range.

days
string<int32>

Optional rolling day count when explicit dates are not provided.

Pattern: ^-?(?:0|[1-9]\d*)$

Response

OK

range
object
totalLeads
string<int32>
Pattern: ^-?(?:0|[1-9]\d*)$
points
object[]
generatedAt
string<date-time>